\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\begin{axis}[
x=1cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-2.5,
xmax=4.5,
ymin=-2.5,
ymax=2.5,
xtick={-2,-1,...,5},
ytick={-2,-1,...,2},]
\clip(-2.5,-2.5) rectangle (4.5,2.5);
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=-1:2] plot(\x,{2*sin(deg(pi/2*\x))});
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=-3:-1] plot(\x,{2*(\x+1)^2-2});
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=2:4] plot(\x,{4*(\x-2.5)^2-1});
\end{axis}
\end{tikzpicture}
\end{document}